Package org.linphone.core

# Enum Class ChatMessage.Direction

java.lang.Object
java.lang.Enum<ChatMessage.Direction>
org.linphone.core.ChatMessage.Direction

All Implemented Interfaces:
  `Serializable`, `Comparable<ChatMessage.Direction>`, `Constable`

Enclosing interface:
  ChatMessage

public static enum ChatMessage.Direction extends Enum<ChatMessage.Direction>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Incoming`
Incoming message.
`Outgoing`
Outgoing message.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static ChatMessage.Direction`
`fromInt(int value)`
`int`
`toInt()`
`static ChatMessage.Direction`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ChatMessage.Direction[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Incoming

public static final ChatMessage.Direction Incoming
Incoming message.

### Outgoing

public static final ChatMessage.Direction Outgoing
Outgoing message.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static ChatMessage.Direction[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ChatMessage.Direction valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static ChatMessage.Direction fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()